%define module aiohttp-cors

Name:           python-%{module}
Version:        0.7.0
Release:        %mkrel 1
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/aio-libs/aiohttp-cors
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Fix test failure of test_add_options_route
Patch1:         %{url}/commit/eb4f5a4bb28f8260d4edc32969e838d9abace051.patch
# Fix test failure of test_static_resource
Patch2:         %{url}/pull/278/commits/e64b95848f3253157d831f4934841fceeaf9b2e3.patch
BuildArch:      noarch

%description
aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
for aiohttp asyncio-powered asynchronous HTTP server.

%package -n python3-%{module}
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# For tes suite
BuildRequires:  python3-pytest
BuildRequires:  python3-aiohttp >= 1.1
#BuildRequires:  python3-pytest-aiohttp

%description -n python3-%{module}
aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support
for aiohttp asyncio-powered asynchronous HTTP server.

%prep
%autosetup -n %{module}-%{version} -p1

# remove non-essential pytest plugins
sed -i '/pytest-cov/d' setup.py
sed -i '/pytest-pylint/d' setup.py

# Don't treat warnings as errors, that's what upstream testing is for
# In 0.7.0, nothing else is in this config
rm pytest.ini

# Don't add --cov options to pytest
# In 0.7.0, nothing else is in this config
rm setup.cfg
# tox.ini has this repeated, but we don't need it
rm tox.ini

%build
%py3_build

%install
%py3_install

%if 0
%check
%{python3} -m pytest -v --ignore tests/integration/test_real_browser.py
%endif

%files -n python3-%{module}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/aiohttp_cors
%{python3_sitelib}/aiohttp_cors-*.egg-info/


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1669501
- initial package python-aiohttp-cors (needed for python-black)

